ContractRabbit Docs
API Reference

Document Types

List document types

GET
/api/document-types

Response Body

application/json

application/json

curl -X GET "https://loading/api/document-types"
null
null

Create document type

POST
/api/document-types

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/document-types"
null
null
null

Update document type

PUT
/api/document-types

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/api/document-types"
null
null
null

Analyze all document types corpus

POST
/api/document-types/analyze

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/document-types/analyze"
null
null
{
  "message": "string"
}

Get document types statistics summary

GET
/api/document-types/stats

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/stats"
null
null
null
null
null

Get document type by ID

GET
/api/document-types/{dtid}

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string"
null
null
null
null
null
null

Delete document type

DELETE
/api/document-types/{dtid}

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://loading/api/document-types/string"
null
null
null
null
null
null

Get document type analytics

GET
/api/document-types/{dtid}/analytics

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/analytics"
null
null
null
null
null
null

Analyze document type corpus

POST
/api/document-types/{dtid}/analyze

Path Parameters

dtid*string

Response Body

application/json

application/json

curl -X POST "https://loading/api/document-types/string/analyze"
null
{
  "message": "string"
}

Get document type details

GET
/api/document-types/{dtid}/crud

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/crud"
null
null
null
null
null
null

Delete document type

DELETE
/api/document-types/{dtid}/crud

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://loading/api/document-types/string/crud"
null
null
null
null
null
null

Update document type

PUT
/api/document-types/{dtid}/crud

Path Parameters

dtid*string

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://loading/api/document-types/string/crud"
null
null
null
null
null
null

Get documents for document type

GET
/api/document-types/{dtid}/documents

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/documents"
null
null
null
null
null
null

Get document type graph structure

GET
/api/document-types/{dtid}/graph

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/graph"
null
null
null
null
null
null

Get document type name

GET
/api/document-types/{dtid}/name

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/name"
null
null
null
null
null
null

Get document type statistics

GET
/api/document-types/{dtid}/stats

Path Parameters

dtid*string

Response Body

application/json

application/json

curl -X GET "https://loading/api/document-types/string/stats"
null
{
  "message": "string"
}

Get tags (nodes) for document type

GET
/api/document-types/{dtid}/tags

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/tags"
null
null
null
null

Get document type tree structure

GET
/api/document-types/{dtid}/tree

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/tree"
null
null
null
null
null
null

Get validation analytics for document type

GET
/api/document-types/{dtid}/validation-analytics

Path Parameters

dtid*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/document-types/string/validation-analytics"
null
null
null
null
null
null

Get document cohort by type

POST
/api/files/{fileId}/document-types/cohort

Path Parameters

fileId*string

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/files/string/document-types/cohort"
null
null
{
  "message": "string"
}

Get document type dates cohort

POST
/api/files/{fileId}/document-types/dates

Path Parameters

fileId*string

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/files/string/document-types/dates"
null
null
{
  "message": "string"
}

Get document type scores

POST
/api/files/{fileId}/document-types/scores

Path Parameters

fileId*string

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/files/string/document-types/scores"
null
null
{
  "message": "string"
}

Align document with document type corpus

POST
/api/files/{fileId}/sfdt/document-types-align

Path Parameters

fileId*string

Request Body

application/json

body?unknown

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/files/string/sfdt/document-types-align"
null
null
{
  "message": "string"
}